﻿using Infragistics.Web.UI.GridControls;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{

    protected DataTable populateGrid()
    {
        DataTable dt = new DataTable();
        dt.Columns.Add("Name");
        DataRow row;
        for (int i = 0; i < 10; i++)
        {
            row = dt.NewRow();
            row.SetField<string>("Name", "Name" + i);
            dt.Rows.Add(row);
        }

        return dt;
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = populateGrid();
        WebDataGrid1.DataBind();
        WebDataGrid1_DropDownProvider1.EditorControl.SelectionChanged += EditorControl_SelectionChanged;

    }

    void EditorControl_SelectionChanged(object sender, Infragistics.Web.UI.ListControls.DropDownSelectionChangedEventArgs e)
    {
       
        

        int rowIndex = this.WebDataGrid1.Behaviors.Activation.ActiveCell.Row.Index;

        WebDataGrid1.Rows[rowIndex].Items.FindItemByKey("ValueToSet").Value = e.NewSelection.ToString();
    }
}